export declare class Point2D {
    x: number;
    y: number;
    constructor(x: number, y: number);
    toString(): string;
}
export declare class Vector2D {
    x: number;
    y: number;
    constructor(x: number, y: number);
    static fromPoints(p1: Point2D, p2: Point2D): Vector2D;
    isZero(): boolean;
    getLength(): number;
    /** returns 0..2*PI */
    getAngle(): number;
    /** returns 0..PI */
    static getAngle(v1: Vector2D, v2: Vector2D): number;
    toString(): string;
}
export declare class Rect2D {
    x: number;
    y: number;
    w: number;
    h: number;
    constructor(x: number, y: number, w: number, h: number);
}
export declare class TransferMatrix2D {
    m11: number;
    m21: number;
    dx: number;
    m12: number;
    m22: number;
    dy: number;
    constructor(m11: number, m12: number, m21: number, m22: number, dx: number, dy: number);
    constructor(src?: TransferMatrix2D);
    toString(): string;
    isIdentity(): boolean;
    scale(x: number, y: number): TransferMatrix2D;
    translate(x: number, y: number): TransferMatrix2D;
    rotate(angle: number): TransferMatrix2D;
    skewX(angle: number): TransferMatrix2D;
    skewY(angle: number): TransferMatrix2D;
    concat(mat: TransferMatrix2D): TransferMatrix2D;
    transfer(p: Point2D): Point2D;
    transfer(x: number, y: number): number[];
    getInverse(): TransferMatrix2D;
}
