export declare class WebColor {
    private static colorNames;
    /**
     * red
     */
    private _r;
    /**
     * green
     */
    private _g;
    /**
     * blue
     */
    private _b;
    /**
     * alpha channel
     */
    private _a;
    private static cutoff255;
    private static cutoff1;
    constructor(name_or_code?: string | {
        r: number;
        g: number;
        b: number;
        a?: number;
    } | {
        h: number;
        s: number;
        l: number;
        a?: number;
    });
    static isRgb(str: string): {
        r: number;
        g: number;
        b: number;
        a: number;
    } | boolean;
    static isHsl(str: string): {
        h: number;
        s: number;
        l: number;
        a: number;
    } | boolean;
    static isCode(str: string): {
        r: number;
        g: number;
        b: number;
        a: number;
    } | boolean;
    static isName(str: string): {
        r: number;
        g: number;
        b: number;
        a: number;
    } | boolean;
    static fromRgba(r: number, g: number, b: number, a?: number): WebColor;
    private static hueToRgb;
    static hslToRgb(h: number, s: number, l: number, a?: number): {
        r: number;
        g: number;
        b: number;
        a: number;
    };
    static fromHsla(h: number, s: number, l: number, a?: number): WebColor;
    static fromGray(gray: number, a?: number): WebColor;
    get r(): number;
    get g(): number;
    get b(): number;
    get a(): number;
    toString(): string;
    toCode(): string;
    toRgbString(): string;
    toRgbaString(): string;
    toHsla(): {
        h: number;
        s: number;
        l: number;
        a: number;
    };
    toHslString(): string;
    toHslaString(): string;
}
